Redmine - Defect #2444

manny internal server errors in 0.8.0 ...
2009-01-05 13:25 - Marco Tralles

Status: Closed Start date: 2009-01-05
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
add project

if i klick the add-projects-button (url: http:/redmine.server.tld/projects/add ) i get a

Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your redMine administrator for assistance.

Back

production.log

Processing ProjectsController#add (for 84.190.183.247 at 2009-01-05 13:23:17) [GET]
Session ID: fc70329%90dfb9917a5dc925eb7dad40de4
Parameters: {"action"=>"add", "controller"=>"projects"}

NoMethodError (undefined method "sequential_project_identifiers?' for #<Class:0x2b3b64da0758>) :
/vendor/rails/activerecord/lib/active_record/base.rb:1672:in ‘method_missing’
/app/controllers/projects_controller.rb:72:in “add'
/vendor/rails/actionpack/lib/action_controller/base.rb:1166:in " send'
/vendor/rails/actionpack/lib/action_controller/base.rb:1166:in "perform_action_without_filters

/vendor/rails/actionpack/lib/action_controller/filters.rb:579:in “call_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:572:in “perform_action_without_bench
mark'

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in ‘perform_action_without_r
escue'’

/usr/local/lib/ruby/1.8/benchmark.rb:293:in “measure’

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in ‘perform_action_without_r
escue'

/vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in “perform_action_without_cachin
g'

/vendor/rails/actionpack/lib/action_controller/caching/sqgl_cache.rb:13:in "perform_action’

/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in

“cache'

/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in "cache'

/vendor/rails/actionpack/lib/action_controller/caching/sqgl_cache.rb:12:in ‘perform_action'

/vendor/rails/actionpack/lib/action_controller/base.rb:529:in "send'

/vendor/rails/actionpack/lib/action_controller/base.rb:529:in "process_without_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:568:1in "process_without_session_mana
gement_support'

/vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in “process'

/vendor/rails/actionpack/lib/action_controller/base.rb:389:in ‘process'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in "handle_request'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in “dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in "“synchronize'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in “dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in “dispatch_cgi'
Rendering /home/htdocs/projekte—gbit/versions/redmine-0.8.0/public/500.html

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in “dispatch'
/usr/local/bin/mongrel_rails:19:in "~ load'
rror)
./lib/mongrel/rails.rb:76:in "process'
.5/bin/../lib/mongrel/command.rb:212:1in

‘new
(500 Internal Server E

add issue

if i click to ,ass issue” i can fill in the form - but if i click create button the internal-server errror apears.
if i repost the data by reload the page the same behavior.
but the issues are created ...

Processing IssuesController#new
£fc70329bdfb9917a5dc925eb7da40de4

{"project_id"=>"sz-frontend-2008",
=>"igssues", "issue"=>{"start_date"=>"2009-01-05",
ect"=>"link-modul",
ementiert werden soll.\r\n",
atio"=>"Q",
ption"=>"",

NoMethodError

Session ID:
Parameters:

"due_date":>" n ,
"File"=>"" } } }

(for 84.190.183.247 at 2009-01-05 13:37:23)

/app/models/mailer.rb:231:in " body'

/app/models/mailer.rb:33:in " issue_add'

/vendor/rails/actionmailer/lib/action_mailer/base.
/vendor/rails/actionmailer/lib/action_mailer/base.
/vendor/rails/actionmailer/lib/action_mailer/base.
/vendor/rails/actionmailer/lib/action_mailer/base.
/vendor/rails/actionmailer/lib/action_mailer/base.
/app/controllers/issues_controller.rb:147:1in
/vendor/rails/actionpack/lib/action_controller/base.rb:1166:
/vendor/rails/actionpack/lib/action_controller/base.rb:1166:

/vendor/rails/actionpack/lib/action_controller/filters.rb:579:1in
/vendor/rails/actionpack/lib/action_controller/filters.rb:572:1in

mark'
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:
escue'’

/usr/local/lib/ruby/1.8/benchmark.rb:293:in ‘measure’

"fixed_version_id"=>"",
"status_id"=>"1"},

(undefined method "plain_text_mail?’
/vendor/rails/activerecord/lib/active_record/base.rb:1672:in ‘method_missing'

"commit"=>"Create",

"estimated_hours"=>"",

"description"=>"habe eben mit Matthias geklAnrt,
"tracker_id"=>"2",
"assigned_to_id"=>"",

“new'

rb:
rb:
rb:
rb:
rb:

[POST]

"action"=>"new",
"priority_id"=>"4",

"category_id"=>"",
"attachments"=>{"1"=>{"descri

for #<Class:0x2b606cdfdf70>) :

446:in ~_ _send_ '

446:in “create!'

439:in “initialize’

383:in “new'

383:in "method_missing'
in “send'

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:

2025-05-02
"subj

dass das neue Link-Modul impl

"done_r

in “perform_action_without_filters

‘call_filters'
‘perform_action_without_bench

in “perform_action_without_r

in “perform_action_without_r
escue'
/vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in “perform_action_without_cachin
g'
/vendor/rails/actionpack/lib/action_controller/caching/sgl_cache.rb:13:in ‘perform_action'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in
“cache'
/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in "cache'
/vendor/rails/actionpack/lib/action_controller/caching/sqgl_cache.rb:12:in ‘perform_action'
/vendor/rails/actionpack/lib/action_controller/base.rb:529:in "send'
/vendor/rails/actionpack/lib/action_controller/base.rb:529:in ‘process_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:568:in “process_without_session_mana
gement_support'
/vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in “process'
/vendor/rails/actionpack/lib/action_controller/base.rb:389:in ‘process'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in "handle_request'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in “dispatch'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in "“synchronize'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in “dispatch'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in “dispatch_cgi'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in “dispatch'

/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in “process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in "synchronize
L}
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in “process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in “process_client'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in “each'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in “process_client'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in " run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in ‘initialize’
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in "new'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in "run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in “initialize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in "new'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in “run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in "run
T
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in "eac
hl
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in "run
L}
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in “run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in “run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

Rendering /home/htdocs/projekte-gbit/versions/redmine-0.8.0/public/500.html

/usr/local/bin/mongrel_rails:19:in "~ load'
/usr/local/bin/mongrel_rails:19

rror)

(500 Internal Server E

settings

if i click in admin to settings i get the internal server error

Processing SettingsController#index
£c703290bdfb9917a5dc925eb7dad40de4
{"action"=>"index",

Session ID:
Parameters:

Rendering template within layouts/base

Rendering settings/edit

ActionView: :TemplateError
on line #52 of settings/_general.rhtml:

)

"controller"=>"settings"}

(undefined method "diff_max_lines_displayed'

(for 84.190.183.247 at 2009-01-05 13:27:34)

[GET]

for #<Class:0x2b606cdfdf70>

49: <%= text_field_tag 'settings|[feeds_limit]', Setting.feeds_limit, :size => 6 %$></p>

50:

51: <p><label><%= 1 (:setting_diff_max_lines_displayed) %></label>

52: <%= text_field_tag 'settings[diff_max_lines_displayed]', Setting.diff_max_lines_displayed, :si
ze => 6 %$></p>

533

54: <p><label><%= 1 (:setting_gravatar_enabled) %></label>

55: <%= check_box_tag 'settings[gravatar_enabled]', 1, Setting.gravatar_enabled? %$><%= hidden_fiel
d_tag 'settings[gravatar_enabled]', 0 %$></p>

vendor/rails/activerecord/lib/active_record/base.rb:1672:in ‘method_missing'
app/views/settings/_general.rhtml:52:in °~_run_erb_47appdiviewsd7settingsd47_generald6rhtml’
vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:141:in ‘call'
vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:141:in "capture_erb_with_buf
fer'
vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:44:in " capture'
vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:443:in "form_tag_in_block'
vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:39:in "form_tag'
app/views/settings/_general.rhtml:1:in " _run_erb_47appd7views47settings47_generaldé6rhtml'
vendor/rails/actionpack/lib/action_view/base.rb:342:in " send'
vendor/rails/actionpack/lib/action_view/base.rb:342:in "~ execute'
vendor/rails/actionpack/lib/action_view/template_handlers/compilable.rb:29:in "send'
vendor/rails/actionpack/lib/action_view/template_handlers/compilable.rb:29:in "render'
vendor/rails/actionpack/lib/action_view/partial_template.rb:20:in "render'
vendor/rails/actionpack/lib/action_controller/benchmarking.rb:30:in “benchmark'
vendor/rails/actionpack/lib/action_view/partial_template.rb:19:in "render'
vendor/rails/actionpack/lib/action_view/template.rb:22:in "render_template'
vendor/rails/actionpack/lib/action_view/partials.rb:110:in " render_partial'
vendor/rails/actionpack/lib/action_view/base.rb:277:in "~ render'
app/views/settings/edit.rhtml:17:in ~_run_erb_47appdiviewsd7settingsdieditd6rhtml’
app/views/settings/edit.rhtml:16:in “each'
app/views/settings/edit.rhtml:16:in " _run_erb_47appd4viewsd47settingsd7editd6rhtml’
vendor/rails/actionpack/lib/action_view/base.rb:342:in " send'
vendor/rails/actionpack/lib/action_view/base.rb:342:in " execute'
vendor/rails/actionpack/lib/action_view/template_handlers/compilable.rb:29:in "send'
vendor/rails/actionpack/lib/action_view/template_handlers/compilable.rb:29:in ‘render'
vendor/rails/actionpack/lib/action_view/template.rb:35:1in "render'
vendor/rails/actionpack/lib/action_view/template.rb:22:in "render_template'
vendor/rails/actionpack/lib/action_view/base.rb:248:in “render_file'
vendor/rails/actionpack/lib/action_controller/base.rb:1112:in "render_for_file'
vendor/rails/actionpack/lib/action_controller/base.rb:869:in ‘render_with_no_layout'
vendor/rails/actionpack/lib/action_controller/base.rb:884:in 'render_with_no_layout'
vendor/rails/actionpack/lib/action_controller/layout.rb:251:in "render_without_benchmark'
vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in "“render'
vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:8:in "realtime'
vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in "“render'
app/controllers/settings_controller.rb:23:in "~ index'
vendor/rails/actionpack/lib/action_controller/base.rb:1166:in "send'
vendor/rails/actionpack/lib/action_controller/base.rb:1166:in ‘perform_action_without_filters'
vendor/rails/actionpack/lib/action_controller/filters.rb:579:in “call_filters'
vendor/rails/actionpack/lib/action_controller/filters.rb:572:in “perform_action_without_benchm
ark'
vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_re
scue'
/usr/local/lib/ruby/1.8/benchmark.rb:293:in “"measure’
vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_re
scue'
vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in “perform_action_without_caching

vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in “perform_action'
vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in
“cache'
vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in "cache'
vendor/rails/actionpack/lib/action_controller/caching/sqgl_cache.rb:12:in ‘perform_action'
vendor/rails/actionpack/lib/action_controller/base.rb:529:in "send'
vendor/rails/actionpack/lib/action_controller/base.rb:529:in “process_without_filters'
vendor/rails/actionpack/lib/action_controller/filters.rb:568:in “process_without_session_manag
ement__support'
vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in " process'
vendor/rails/actionpack/lib/action_controller/base.rb:389:in “process'
vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in "~handle_request'
vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in “dispatch'
vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in "~ synchronize'
vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in “dispatch’
vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in “dispatch_cgi'
vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in “dispatch'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.5/1lib/mongrel/rails.rb:76:in “process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.
/usr/local/bin/mongrel_rails:19:in "~ load'
/usr/local/bin/mongrel_rails:19

.5/1ib/mongrel/rails.rb:74:in " synchronize'
.5/1ib/mongrel/rails.rb:74:in "process'
.5/1lib/mongrel.rb:159:in ‘process_client'
.5/1ib/mongrel.rb:158:in "each'’
.5/1lib/mongrel.rb:158:in "process_client'
.5/1ib/mongrel .rb:285:in "“run'
.5/1ib/mongrel .rb:285:in “initialize'
.5/1ib/mongrel.rb:285:in "new'
.5/1ib/mongrel.rb:285:in " run'
.5/1ib/mongrel.rb:268:in "initialize'
.5/1ib/mongrel.rb:268:in "new'
.5/1ib/mongrel.rb:268:in " run'
.5/1ib/mongrel/configurator.rb:282:in " run'
.5/1ib/mongrel/configurator.rb:281:in “each'
.5/1ib/mongrel/configurator.rb:281:in " run'
.5/bin/mongrel_rails:128:in “run'
.5/1ib/mongrel/command.rb:212:in " run'

e = T = S N e e e e e = =

.5/bin/mongrel_rails:281

Rendering /home/htdocs/projekte—gbit/versions/redmine-0.8.0/public/500.html (500 Internal Server E
rror)

redmine# ruby script/about

/home/htdocs/projekte—gbit/versions/redmine-0.8.0/vendor/rails/actionpack/lib/action_controller/mi
me_type.rb:66: warning: already initialized constant PDF
About your application's environment

Ruby version 1.8.6 (x86_64-1inux)
RubyGems version 1.3.1

Rails version 2.1.2

Active Record version 2.1.2

Action Pack version 2.1.2

Active Resource version 2.1.2

Action Mailer version 2.1.2

Active Support version 2.1.2

Edge Rails revision unknown

Application root /home/htdocs/redmine/versions/redmine-0.8.0
Environment development
Database adapter mysqgl

Database schema version 0

is there a way to downgrade to 0.7.3 - without the issue-management redmine is not usable ?

History

#1 - 2009-01-05 14:08 - Michael Aye

just to report that i work with a subversion 0.8.0-stable on a Suse Linux with passenger-mod here without any problems and hickups.
Maybe something went wrong during upgrade/installation?

#2 - 2009-01-05 16:25 - Karl Heinz Marbaise
Hi,
the printout say "Database schema version 0" that seemed to be wrong....Have you migrated your database? Did you do an update from 0.7.3 ?

Kind regards
Karl Heinz Marbaise
#3 - 2009-01-05 18:38 - Jean-Philippe Lang
- Status changed from New to Closed
- Affected version (unused) deleted (0.8.0)

- Resolution set to Invalid

The fact that you're getting these errors means that your config/settings.yml file is either outdated or invalid.
Please use the one that is included in the 0.8.0 release then restart the app. It will work much better.
